[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomComboBox.KeyDown

Filters keys used to traverse the list.

## Declaration

Source position: stdctrls.pp line 387

`protected procedure TCustomComboBox.KeyDown(`
`var Key: Word;`
`Shift: TShiftState`
`); override;`

## Arguments

`Key` |  | The pressed key.
`Shift` |  | The state of the modifier keys and mouse buttons.

## Description

KeyDown is an overridden method in TCustomComboBox. KeyDown ensures that keys like Escape, Tab, and Return are handled in the manner needed for the Style in the control. If the values in Key and Shift are not specifically handled in the method, the inherited KeyDown method is called.

## See also

TCustomComboBox.Style |  | Controls the appearance and behavior for the combo-box.
TCustomComboBox.AutoDropDown |  | Makes the drop-down list appear as soon as the user starts entering text.
TCustomComboBox.ArrowKeysTraverseList |  | Indicates if keyboard Arrow (or cursor) keys can be used to move through the list.
TWinControl.KeyDown |  | Signals OnKeyDown event handlers (when assigned).